nxt.http.callers

## Class GetOrderTradesCall

- java.lang.Object
- - nxt.http.APICall.Builder<GetOrderTradesCall>
  - - nxt.http.callers.GetOrderTradesCall

-     public class GetOrderTradesCall
      extends APICall.Builder<GetOrderTradesCall>

- - ### Field Summary

    - ### Fields inherited from class nxt.http.APICall.Builder

      `params`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetOrderTradesCall` | `askOrder(java.lang.String askOrder)`
    `GetOrderTradesCall` | `bidOrder(java.lang.String bidOrder)`
    `static GetOrderTradesCall` | `create()`
    `GetOrderTradesCall` | `firstIndex(int firstIndex)`
    `GetOrderTradesCall` | `includeAssetInfo(boolean includeAssetInfo)`
    `GetOrderTradesCall` | `lastIndex(int lastIndex)`
    `GetOrderTradesCall` | `requireBlock(java.lang.String requireBlock)`
    `GetOrderTradesCall` | `requireLastBlock(java.lang.String requireLastBlock)`

    - ### Methods inherited from class nxt.http.APICall.Builder

      `build, call, chain, chain, download, getBlock, getBlocks, getCreatedTransaction, getCreatedTransactions, getParam, getTransaction, getTransactions, getTransactions, isParamSet, isRemoteOnly, param, param, param, param, param, param, param, param, param, param, param, parts, remote, secretPhrase, setParamValidation, trustRemoteCertificate, unsignedLongParam, unsignedLongParam`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static GetOrderTradesCall create()

    - #### requireLastBlock

          public GetOrderTradesCall requireLastBlock(java.lang.String requireLastBlock)

    - #### firstIndex

          public GetOrderTradesCall firstIndex(int firstIndex)

    - #### bidOrder

          public GetOrderTradesCall bidOrder(java.lang.String bidOrder)

    - #### askOrder

          public GetOrderTradesCall askOrder(java.lang.String askOrder)

    - #### lastIndex

          public GetOrderTradesCall lastIndex(int lastIndex)

    - #### includeAssetInfo

          public GetOrderTradesCall includeAssetInfo(boolean includeAssetInfo)

    - #### requireBlock

          public GetOrderTradesCall requireBlock(java.lang.String requireBlock)